Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1655544 - [abrt] gjs: ObjectInstance::field_getter_impl(): gjs-console killed by SIGABRT
Summary: [abrt] gjs: ObjectInstance::field_getter_impl(): gjs-console killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gjs
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:54a1a0e66a32cb416e1bca8ec93...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-03 12:16 UTC by Vitaly Kuznetsov
Modified: 2019-11-27 20:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:33:52 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (124.91 KB, text/plain)
2018-12-03 12:16 UTC, Vitaly Kuznetsov
no flags Details
File: cgroup (345 bytes, text/plain)
2018-12-03 12:16 UTC, Vitaly Kuznetsov
no flags Details
File: core_backtrace (51.43 KB, text/plain)
2018-12-03 12:16 UTC, Vitaly Kuznetsov
no flags Details
File: cpuinfo (1.42 KB, text/plain)
2018-12-03 12:16 UTC, Vitaly Kuznetsov
no flags Details
File: dso_list (13.92 KB, text/plain)
2018-12-03 12:16 UTC, Vitaly Kuznetsov
no flags Details
File: environ (3.84 KB, text/plain)
2018-12-03 12:16 UTC, Vitaly Kuznetsov
no flags Details
File: limits (1.29 KB, text/plain)
2018-12-03 12:16 UTC, Vitaly Kuznetsov
no flags Details
File: maps (80.32 KB, text/plain)
2018-12-03 12:16 UTC, Vitaly Kuznetsov
no flags Details
File: mountinfo (3.73 KB, text/plain)
2018-12-03 12:16 UTC, Vitaly Kuznetsov
no flags Details
File: open_fds (1.33 KB, text/plain)
2018-12-03 12:16 UTC, Vitaly Kuznetsov
no flags Details
File: proc_pid_status (1.31 KB, text/plain)
2018-12-03 12:16 UTC, Vitaly Kuznetsov
no flags Details

Description Vitaly Kuznetsov 2018-12-03 12:16:19 UTC
Description of problem:
1) Try recording something
2) Click play button
3) Application always crashes after that.

Version-Release number of selected component:
gjs-1.54.3-1.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/bin/gjs /usr/bin/gnome-sound-recorder
crash_function: ObjectInstance::field_getter_impl
executable:     /usr/bin/gjs-console
journald_cursor: s=84c4bc9734b449aea757ee12be1a5b23;i=d1dac;b=08c0022a77b343a9b9570802c760e036;m=370fb7f0c;t=57c1cf1230a31;x=3595a65e97d78ad6
kernel:         4.19.5-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 ObjectInstance::field_getter_impl at gi/object.cpp:481
 #5 ObjectBase::field_getter at /usr/include/mozjs-60/js/RootingAPI.h:1128
 #6 js::InternalCallOrConstruct(JSContext*, JS::CallArgs const&, js::MaybeConstruct) at /usr/src/debug/mozjs60-60.3.0-1.fc29.x86_64/dist/include/js/CallArgs.h:286
 #7 js::Call at /usr/src/debug/mozjs60-60.3.0-1.fc29.x86_64/vm/Interpreter.cpp:536
 #8 js::CallGetter(JSContext*, JS::Handle<JS::Value>, JS::Handle<JS::Value>, JS::MutableHandle<JS::Value>) at /usr/src/debug/mozjs60-60.3.0-1.fc29.x86_64/vm/Interpreter.cpp:651
 #9 CallGetter at /usr/src/debug/mozjs60-60.3.0-1.fc29.x86_64/dist/include/js/RootingAPI.h:1128
 #10 GetExistingProperty<(js::AllowGC)1> at /usr/src/debug/mozjs60-60.3.0-1.fc29.x86_64/dist/include/js/RootingAPI.h:545
 #11 NativeGetPropertyInline<(js::AllowGC)1> at /usr/src/debug/mozjs60-60.3.0-1.fc29.x86_64/vm/NativeObject.cpp:2410
 #12 js::NativeGetProperty at /usr/src/debug/mozjs60-60.3.0-1.fc29.x86_64/vm/NativeObject.cpp:2446
 #13 js::GetProperty at /usr/src/debug/mozjs60-60.3.0-1.fc29.x86_64/dist/include/js/RootingAPI.h:553

Comment 1 Vitaly Kuznetsov 2018-12-03 12:16:24 UTC
Created attachment 1510884 [details]
File: backtrace

Comment 2 Vitaly Kuznetsov 2018-12-03 12:16:25 UTC
Created attachment 1510885 [details]
File: cgroup

Comment 3 Vitaly Kuznetsov 2018-12-03 12:16:27 UTC
Created attachment 1510886 [details]
File: core_backtrace

Comment 4 Vitaly Kuznetsov 2018-12-03 12:16:29 UTC
Created attachment 1510887 [details]
File: cpuinfo

Comment 5 Vitaly Kuznetsov 2018-12-03 12:16:30 UTC
Created attachment 1510888 [details]
File: dso_list

Comment 6 Vitaly Kuznetsov 2018-12-03 12:16:32 UTC
Created attachment 1510889 [details]
File: environ

Comment 7 Vitaly Kuznetsov 2018-12-03 12:16:33 UTC
Created attachment 1510890 [details]
File: limits

Comment 8 Vitaly Kuznetsov 2018-12-03 12:16:35 UTC
Created attachment 1510891 [details]
File: maps

Comment 9 Vitaly Kuznetsov 2018-12-03 12:16:36 UTC
Created attachment 1510892 [details]
File: mountinfo

Comment 10 Vitaly Kuznetsov 2018-12-03 12:16:37 UTC
Created attachment 1510893 [details]
File: open_fds

Comment 11 Vitaly Kuznetsov 2018-12-03 12:16:39 UTC
Created attachment 1510894 [details]
File: proc_pid_status

Comment 12 krinkodot22 2019-01-03 19:45:41 UTC
Similar problem has been detected:

Recorded a voice clip with gnome-sound-recorder. Playing it back caused this crash. It doesn't happen when using the Flatpak version of gnome-sound-recorder.

reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        /usr/bin/gjs /usr/bin/gnome-sound-recorder
crash_function: ObjectInstance::field_getter_impl
executable:     /usr/bin/gjs-console
journald_cursor: s=73de7c4090d84bffb08f853ba3da07fa;i=1d26;b=2a91a5ff93134c538bd335ed9e3a4059;m=33a51d0e;t=57e92960ff412;x=7cf85aa5cd3720ec
kernel:         4.19.10-300.fc29.x86_64
package:        gjs-1.54.3-1.fc29
reason:         gjs-console killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Ben Cotton 2019-10-31 20:13:45 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2019-11-27 20:33:52 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.